Bug Hunting Session
Bug 121869 - Crash in: cppuhelper3MSC.dll FILEOPEN
Summary: Crash in: cppuhelper3MSC.dll FILEOPEN
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Firebird-Default
  Show dependency treegraph
 
Reported: 2018-12-02 18:46 UTC by spike.johnson
Modified: 2019-07-12 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["cppuhelper3MSC.dll"]


Attachments
empty Firebird db that crashes upon connection (2.08 KB, application/octet-stream)
2018-12-03 10:43 UTC, spike.johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description spike.johnson 2018-12-02 18:46:52 UTC
This bug was filed from the crash reporting server and is br-0c9a63aa-51c8-4ab9-9b41-e0ac3a27bc65.
=========================================
Unable to create any Firebase databases, due to endless recovery loop.
I've attached a sample database that fails.

I'm sorry that I am not sure how I got into this position; I was playing with Base, trying to convert a very large Calc sheet into a data driven application.

I've rebooted a number of times to clear locks - no change.

I've deleted the entire folder I was using and created a new one - no change.

I've used the trace to see if I could get more information, but my knowledge runs out when I get to WIN32 Critical_Sections (on Win 64-bit?)
Comment 1 Xisco Faulí 2018-12-03 10:38:36 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 2 spike.johnson 2018-12-03 10:43:50 UTC
Created attachment 147234 [details]
empty Firebird db that crashes upon connection

Apologies, thought I'd already attached the db.

Open and click on Tables or anything that initiates a db connection.
Comment 3 Roman Kuznetsov 2018-12-04 12:31:47 UTC
please add more clear steps for reproduction of your problem

I tried to open file from attach and didn't get crash in

Версия: 6.2.0.0.beta1
ID сборки: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded

and in

Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group threaded
Comment 4 raal 2018-12-04 19:24:07 UTC
No crash Verze: 6.2.0.0.beta1 (x64)
ID sestavení: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
Comment 5 spike.johnson 2018-12-05 13:14:38 UTC
I downloaded the attachment again into a new folder just to make sure I am using the same file as you, and it crashes as soon as I click on 'Tables'.

Ok, if it works ok for you then it is not the file as such that is the problem, but presumably I've managed somehow to break my installation of Base, or possibly Firebird.

Any suggestion on how I set about investigating?

I'll try a cold boot and then re-install LO as the first two attempts.
Comment 6 Xisco Faulí 2018-12-05 13:15:51 UTC
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 7 spike.johnson 2018-12-05 13:47:22 UTC
A cold reboot, and a 'repair' install did not help.

I think it might be a permissions problem.

Starting LO 'as Administrator' allows me to open the file without any crashes.

My default user is mostly locked down; I have access to a local Admin user if I need to install software.

So although I install LO starting from my base user, the MSI prompts for the Admin user as soon as it starts installing.

Using embedded HS works fine; it is only embedded FB that has an issue with this set up.

I'm working from within my base 'user' folder structure - providing that FB embedded only uses files within that area then it should have full permissions to do anything it wants.

Does FB embedded try to unzip the odb somewhere other than the current directory?

Is there a debug mode or log file anywhere?

I'll try the daily build.
Comment 8 spike.johnson 2018-12-05 19:11:26 UTC
Nightly installer wants to update something in the system that requires a restart.

This is unusual behaviour for an application installer, so I won't be installing it just yet.

I'm trying to work out how I can see whether the FB backup file is restored to the current directory or somewhere else.
Comment 9 Xisco Faulí 2018-12-12 16:50:58 UTC
(In reply to spike.johnson from comment #8)
> Nightly installer wants to update something in the system that requires a
> restart.
> 
> This is unusual behaviour for an application installer, so I won't be
> installing it just yet.
> 
> I'm trying to work out how I can see whether the FB backup file is restored
> to the current directory or somewhere else.

Even if you don't restart you computer, you can use LibreOffice master...
Comment 10 QA Administrators 2019-06-11 03:01:38 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-07-12 02:53:11 UTC
Dear spike.johnson,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp